# CompressionOptions class

The CompressionOptions class allows you to control the options of WebSocket compression.

## Constructors

CompressionOptions({bool clientNoContextTakeover: false, bool serverNoContextTakeover: false, int clientMaxWindowBits, int serverMaxWindowBits, bool enabled: true })
  const

## Properties

clientMaxWindowBits → int
  Determines the max window bits for the client.
  final
clientNoContextTakeover → bool
  Controls whether the client will reuse its compression instances.
  final
enabled → bool
  Enables or disables WebSocket compression.
  final
serverMaxWindowBits → int
  Determines the max window bits for the server.
  final
serverNoContextTakeover → bool
  Controls whether the server will reuse its compression instances.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

compressionDefault → const CompressionOptions
  Default WebSocket Compression options. [...]
  `const CompressionOptions()`
compressionOff → const CompressionOptions
  Disables WebSocket Compression.
  `const CompressionOptions(enabled: false)`
DEFAULT → const CompressionOptions
  @Deprecated("Use compressionDefault instead")
  `compressionDefault`
OFF → const CompressionOptions
  @Deprecated("Use compressionOff instead")
  `compressionOff`